<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>Komputer Store</title>
    <script type="text/javascript" src="app.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <link rel="stylesheet" type="text/css" href="style.css" />
  </head>
  <body>
    <header>
      <h1>Komputer Store</h1>
    </header>

    <div class="grid-container">
      <!--Loan section that calls getLoan function -->
      <section id="Loan">
        <h2>Joe Banker</h2>
        <div id="balance">
          Bank Balance: <span id="bankBalance"></span>
          <script>
            document.getElementById("bankBalance").innerHTML =
              bankBalance + "$";
          </script>
        </div>
        <div id="loan">
          <p>Outstanding Loan: <span id="outstandingLoan"></span></p>
          <script>
            document.getElementById("outstandingLoan").innerHTML =
              outstandingLoan + "$";
          </script>
        </div>
        <button id="getLoanBtn" onclick="getLoan()">Get Loan</button>
      </section>
      <!--Work section that calls work,bank and repayLoan functions  -->
      <section id="Work">
        <h2>Bank</h2>
        <div id="earnings">
          <p>Earnings: <span id="pay"></span></p>
          <script>
            document.getElementById("pay").innerHTML = pay + "$";
          </script>
        </div>

        <button id="workbtn" onclick="work()">Work</button>
        <button id="bankbtn" onclick="bank()">Bank</button>
        <button id="loanbtn" onclick="repayLoan()">Repay Loan</button>

        <script>
          function showRepayLoanButton() {
            if (hasLoan) {
              document.getElementById("loanbtn").style.display = "block";
            } else {
              document.getElementById("loanbtn").style.display = "none";
            }
          }

          // Call this function whenever the value of hasLoan changes
          showRepayLoanButton();
        </script>
      </section>
      <!--Laptops section that gets Laptop specs  -->
      <section id="Laptops">
        <h2>Laptops</h2>
        <div id="laptops-container">
          <select id="laptops-select">
            <option disabled selected value>-- select a laptop --</option>
          </select>

          <ul id="laptop-specs"></ul>
        </div>
      </section>
    </div>
    <!--Laptops-info section that gets Laptop's name, description, image , price and the bu8y now button  -->
    <section id="Laptops-info">
      <img id="laptop-image" src="" alt="Laptop Image" />
      <div class="laptop-info">
        <h2 id="laptop-name"></h2>
        <p id="laptop-description"></p>
      </div>
      <div class="laptop-price-container">
        <p id="laptop-price"></p>
        <button id="buy-now">Buy Now</button>
      </div>
    </section>
  </body>
</html>
